#!/usr/bin/env python
# -*- coding: utf-8 -*-

# Python ST7735 library for Raspberry Pi
# 4x5 pixel bitmap font
# Copyright 2016-2017 jackw01
# Distributed under the MIT license

font4x5 = {
    "width": 4,
    "height": 5,
    "linespacing": 3,
    "charspacing": 1
}

# Lower Case

font4x5["a"] = {
        "descender": 0,
        "kerning": -1,
        "pixels": (
                (0, 1, 0, 0),
                (1, 0, 1, 0),
                (1, 1, 1, 0),
                (1, 0, 1, 0),
                (1, 0, 1, 0)
        )
}

font4x5["b"] = {
        "descender": 0,
        "kerning": -1,
        "pixels": (
                (1, 1, 0, 0),
                (1, 0, 1, 0),
                (1, 1, 0, 0),
                (1, 0, 1, 0),
                (1, 1, 0, 0)
        )
}

font4x5["c"] = {
        "descender": 0,
        "kerning": -1,
        "pixels": (
                (0, 1, 1, 0),
                (1, 0, 0, 0),
                (1, 0, 0, 0),
                (1, 0, 0, 0),
                (0, 1, 1, 0)
        )
}

font4x5["d"] = {
        "descender": 0,
        "kerning": -1,
        "pixels": (
                (1, 1, 0, 0),
                (1, 0, 1, 0),
                (1, 0, 1, 0),
                (1, 0, 1, 0),
                (1, 1, 0, 0)
        )
}

font4x5["e"] = {
        "descender": 0,
        "kerning": -1,
        "pixels": (
                (1, 1, 1, 0),
                (1, 0, 0, 0),
                (1, 1, 1, 0),
                (1, 0, 0, 0),
                (1, 1, 1, 0)
        )
}

font4x5["f"] = {
        "descender": 0,
        "kerning": -1,
        "pixels": (
                (1, 1, 1, 0),
                (1, 0, 0, 0),
                (1, 1, 0, 0),
                (1, 0, 0, 0),
                (1, 0, 0, 0)
        )
}

font4x5["g"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (0, 1, 1, 1),
                (1, 0, 0, 0),
                (1, 0, 1, 1),
                (1, 0, 0, 1),
                (0, 1, 1, 0)
        )
}

font4x5["h"] = {
        "descender": 0,
        "kerning": -1,
        "pixels": (
                (1, 0, 1, 0),
                (1, 0, 1, 0),
                (1, 1, 1, 0),
                (1, 0, 1, 0),
                (1, 0, 1, 0)
        )
}

font4x5["i"] = {
        "descender": 0,
        "kerning": -3,
        "pixels": (
                (1, 0, 0, 0),
                (1, 0, 0, 0),
                (1, 0, 0, 0),
                (1, 0, 0, 0),
                (1, 0, 0, 0)
        )
}

font4x5["j"] = {
        "descender": 0,
        "kerning": -1,
        "pixels": (
                (0, 0, 1, 0),
                (0, 0, 1, 0),
                (0, 0, 1, 0),
                (1, 0, 1, 0),
                (0, 1, 0, 0)
        )
}

font4x5["k"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (1, 0, 0, 1),
                (1, 0, 1, 0),
                (1, 1, 0, 0),
                (1, 0, 1, 0),
                (1, 0, 0, 1)
        )
}

font4x5["l"] = {
        "descender": 0,
        "kerning": -1,
        "pixels": (
                (1, 0, 0, 0),
                (1, 0, 0, 0),
                (1, 0, 0, 0),
                (1, 0, 0, 0),
                (1, 1, 1, 0)
        )
}

font4x5["m"] = {
        "descender": 0,
        "kerning": 1,
        "pixels": (
                (1, 0, 0, 0, 1),
                (1, 1, 0, 1, 1),
                (1, 0, 1, 0, 1),
                (1, 0, 0, 0, 1),
                (1, 0, 0, 0, 1)
        )
}

font4x5["n"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (1, 0, 0, 1),
                (1, 1, 0, 1),
                (1, 0, 1, 1),
                (1, 0, 0, 1),
                (1, 0, 0, 1)
        )
}

font4x5["o"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (0, 1, 1, 0),
                (1, 0, 0, 1),
                (1, 0, 0, 1),
                (1, 0, 0, 1),
                (0, 1, 1, 0)
        )
}

font4x5["p"] = {
        "descender": 0,
        "kerning": -1,
        "pixels": (
                (1, 1, 0, 0),
                (1, 0, 1, 0),
                (1, 1, 0, 0),
                (1, 0, 0, 0),
                (1, 0, 0, 0)
        )
}

font4x5["q"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (0, 1, 1, 0),
                (1, 0, 0, 1),
                (1, 0, 0, 1),
                (1, 0, 1, 0),
                (0, 1, 0, 1)
        )
}

font4x5["r"] = {
        "descender": 0,
        "kerning": -1,
        "pixels": (
                (1, 1, 0, 0),
                (1, 0, 1, 0),
                (1, 1, 0, 0),
                (1, 0, 1, 0),
                (1, 0, 1, 0)
        )
}

font4x5["s"] = {
        "descender": 0,
        "kerning": -1,
        "pixels": (
                (0, 1, 1, 0),
                (1, 0, 0, 0),
                (0, 1, 0, 0),
                (0, 0, 1, 0),
                (1, 1, 0, 0)
        )
}

font4x5["t"] = {
        "descender": 0,
        "kerning": -1,
        "pixels": (
                (1, 1, 1, 0),
                (0, 1, 0, 0),
                (0, 1, 0, 0),
                (0, 1, 0, 0),
                (0, 1, 0, 0)
        )
}

font4x5["u"] = {
        "descender": 0,
        "kerning": -1,
        "pixels": (
                (1, 0, 1, 0),
                (1, 0, 1, 0),
                (1, 0, 1, 0),
                (1, 0, 1, 0),
                (0, 1, 1, 0)
        )
}

font4x5["v"] = {
        "descender": 0,
        "kerning": -1,
        "pixels": (
                (1, 0, 1, 0),
                (1, 0, 1, 0),
                (1, 0, 1, 0),
                (0, 1, 0, 0),
                (0, 1, 0, 0)
        )
}

font4x5["w"] = {
        "descender": 0,
        "kerning": 1,
        "pixels": (
                (1, 0, 0, 0, 1),
                (1, 0, 1, 0, 1),
                (1, 0, 1, 0, 1),
                (1, 0, 1, 0, 1),
                (0, 1, 0, 1, 0)
        )
}

font4x5["x"] = {
        "descender": 0,
        "kerning": -1,
        "pixels": (
                (1, 0, 1, 0),
                (1, 0, 1, 0),
                (0, 1, 0, 0),
                (1, 0, 1, 0),
                (1, 0, 1, 0)
        )
}

font4x5["y"] = {
        "descender": 0,
        "kerning": -1,
        "pixels": (
                (1, 0, 1, 0),
                (1, 0, 1, 0),
                (0, 1, 0, 0),
                (0, 1, 0, 0),
                (0, 1, 0, 0)
        )
}

font4x5["z"] = {
        "descender": 0,
        "kerning": -1,
        "pixels": (
                (1, 1, 1, 0),
                (0, 0, 1, 0),
                (0, 1, 0, 0),
                (1, 0, 0, 0),
                (1, 1, 1, 0)
        )
}

# Upper Case

# Numbers

font4x5[" "] = {
        "descender": 0,
        "kerning": -3,
        "pixels": (
                (0, 0, 0, 0),
                (0, 0, 0, 0),
                (0, 0, 0, 0),
                (0, 0, 0, 0),
                (0, 0, 0, 0)
        )
}

font4x5["0"] = {
        "descender": 0,
        "kerning": -1,
        "pixels": (
                (0, 1, 0, 0),
                (1, 0, 1, 0),
                (1, 0, 1, 0),
                (1, 0, 1, 0),
                (0, 1, 0, 0)
        )
}

font4x5["1"] = {
        "descender": 0,
        "kerning": -2,
        "pixels": (
                (0, 1, 0, 0),
                (1, 1, 0, 0),
                (0, 1, 0, 0),
                (0, 1, 0, 0),
                (0, 1, 0, 0)
        )
}

font4x5["2"] = {
        "descender": 0,
        "kerning": -1,
        "pixels": (
                (1, 1, 0, 0),
                (0, 0, 1, 0),
                (0, 1, 0, 0),
                (1, 0, 0, 0),
                (1, 1, 1, 0)
        )
}

font4x5["3"] = {
        "descender": 0,
        "kerning": -1,
        "pixels": (
                (1, 1, 0, 0),
                (0, 0, 1, 0),
                (1, 1, 0, 0),
                (0, 0, 1, 0),
                (1, 1, 0, 0)
        )
}

font4x5["4"] = {
        "descender": 0,
        "kerning": -1,
        "pixels": (
                (1, 0, 1, 0),
                (1, 0, 1, 0),
                (1, 1, 1, 0),
                (0, 0, 1, 0),
                (0, 0, 1, 0)
        )
}

font4x5["5"] = {
        "descender": 0,
        "kerning": -1,
        "pixels": (
                (1, 1, 1, 0),
                (1, 0, 0, 0),
                (1, 1, 0, 0),
                (0, 0, 1, 0),
                (1, 1, 0, 0)
        )
}

font4x5["6"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (0, 1, 1, 0),
                (1, 0, 0, 0),
                (1, 1, 1, 0),
                (1, 0, 0, 1),
                (0, 1, 1, 0)
        )
}

font4x5["7"] = {
        "descender": 0,
        "kerning": -1,
        "pixels": (
                (1, 1, 1, 0),
                (0, 0, 1, 0),
                (0, 1, 0, 0),
                (1, 0, 0, 0),
                (1, 0, 0, 0)
        )
}

font4x5["8"] = {
        "descender": 0,
        "kerning": -1,
        "pixels": (
                (0, 1, 0, 0),
                (1, 0, 1, 0),
                (0, 1, 0, 0),
                (1, 0, 1, 0),
                (0, 1, 0, 0)
        )
}

font4x5["9"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (0, 1, 1, 0),
                (1, 0, 0, 1),
                (0, 1, 1, 1),
                (0, 0, 0, 1),
                (0, 1, 1, 0)
        )
}

font4x5["."] = {
        "descender": 0,
        "kerning": -3,
        "pixels": (
                (0, 0, 0, 0),
                (0, 0, 0, 0),
                (0, 0, 0, 0),
                (0, 0, 0, 0),
                (1, 0, 0, 0),
                (0, 0, 0, 0)
        )
}

font4x5[","] = {
        "descender": -1,
        "kerning": -3,
        "pixels": (
                (0, 0, 0, 0),
                (0, 0, 0, 0),
                (0, 0, 0, 0),
                (0, 0, 0, 0),
                (1, 0, 0, 0),
                (1, 0, 0, 0)
        )
}

font4x5["/"] = {
        "descender": 0,
        "kerning": -2,
        "pixels": (
                (0, 1, 0, 0),
                (0, 1, 0, 0),
                (1, 0, 0, 0),
                (1, 0, 0, 0),
                (1, 0, 0, 0),
                (0, 0, 0, 0)
        )
}

font4x5["%"] = {
        "descender": 0,
        "kerning": -1,
        "pixels": (
                (1, 0, 1, 0),
                (0, 0, 1, 0),
                (0, 1, 0, 0),
                (1, 0, 0, 0),
                (1, 0, 1, 0),
                (0, 0, 0, 0)
        )
}

font4x5["°"] = {
        "descender": 0,
        "kerning": -1,
        "pixels": (
                (0, 1, 0, 0),
                (1, 0, 1, 0),
                (0, 1, 0, 0),
                (0, 0, 0, 0),
                (0, 0, 0, 0),
                (0, 0, 0, 0)
        )
}

font4x5["NULL"] = {
        "descender": -1,
        "kerning": 0,
        "pixels": (
                (1, 1, 1, 1),
                (1, 0, 0, 1),
                (1, 0, 0, 1),
                (1, 0, 0, 1),
                (1, 0, 0, 1),
                (1, 1, 1, 1)
        )
}
