#!/usr/bin/env python
# -*- coding: utf-8 -*-

# Python ST7735 library for Raspberry Pi
# 7x10 pixel bitmap font
# Copyright 2016-2017 jackw01
# Distributed under the MIT license

font7x10Light = {
    "width": 7,
    "height": 10,
    "linespacing": 7,
    "charspacing": 2
}

# Lower Case

font7x10Light["a"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 1, 1, 1, 1, 0, 0),
                (0, 0, 0, 0, 0, 1, 0),
                (0, 0, 0, 0, 0, 1, 0),
                (0, 1, 1, 1, 1, 1, 0),
                (1, 0, 0, 0, 0, 1, 0),
                (1, 0, 0, 0, 0, 1, 0),
                (0, 1, 1, 1, 1, 0, 1),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["b"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 1, 1, 1, 1, 0, 0),
                (1, 0, 0, 0, 0, 1, 0),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 1, 0),
                (1, 1, 1, 1, 1, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["c"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 1, 1, 1, 1, 0),
                (0, 1, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 1),
                (0, 0, 1, 1, 1, 1, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["d"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (0, 0, 0, 0, 0, 0, 1),
                (0, 0, 0, 0, 0, 0, 1),
                (0, 0, 0, 0, 0, 0, 1),
                (0, 0, 1, 1, 1, 1, 1),
                (0, 1, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (0, 1, 0, 0, 0, 0, 1),
                (0, 0, 1, 1, 1, 1, 1),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["e"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 1, 1, 1, 1, 1, 0),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 1, 1, 1, 1, 1, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (0, 1, 1, 1, 1, 1, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["f"] = {
        "descender": 0,
        "kerning": -2,
        "pixels": (
                (0, 0, 1, 1, 1, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (1, 1, 1, 1, 1, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["g"] = {
        "descender": -4,
        "kerning": 0,
        "pixels": (
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 1, 1, 1, 1, 1),
                (0, 1, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (0, 1, 0, 0, 0, 0, 1),
                (0, 0, 1, 1, 1, 1, 1),
                (0, 0, 0, 0, 0, 0, 1),
                (0, 0, 0, 0, 0, 0, 1),
                (0, 0, 0, 0, 0, 0, 1),
                (0, 1, 1, 1, 1, 1, 0)
        )
}
font7x10Light["h"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 1, 1, 1, 1, 0),
                (1, 1, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["i"] = {
        "descender": 0,
        "kerning": -6,
        "pixels": (
                (0, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["j"] = {
        "descender": -4,
        "kerning": -4,
        "pixels": (
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 1, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 1, 0, 0, 0, 0),
                (0, 0, 1, 0, 0, 0, 0),
                (0, 0, 1, 0, 0, 0, 0),
                (0, 0, 1, 0, 0, 0, 0),
                (0, 0, 1, 0, 0, 0, 0),
                (0, 0, 1, 0, 0, 0, 0),
                (0, 0, 1, 0, 0, 0, 0),
                (0, 0, 1, 0, 0, 0, 0),
                (0, 0, 1, 0, 0, 0, 0),
                (0, 0, 1, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0)
        )
}
font7x10Light["k"] = {
        "descender": 0,
        "kerning": -1,
        "pixels": (
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 1, 0),
                (1, 0, 0, 0, 1, 0, 0),
                (1, 0, 0, 1, 0, 0, 0),
                (1, 0, 1, 0, 0, 0, 0),
                (1, 1, 0, 1, 0, 0, 0),
                (1, 0, 0, 0, 1, 0, 0),
                (1, 0, 0, 0, 0, 1, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["l"] = {
        "descender": 0,
        "kerning": -4,
        "pixels": (
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (0, 1, 1, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["m"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (1, 0, 1, 0, 1, 1, 0),
                (1, 1, 0, 1, 0, 0, 1),
                (1, 0, 0, 1, 0, 0, 1),
                (1, 0, 0, 1, 0, 0, 1),
                (1, 0, 0, 1, 0, 0, 1),
                (1, 0, 0, 1, 0, 0, 1),
                (1, 0, 0, 1, 0, 0, 1),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["n"] = {
        "descender": 0,
        "kerning": -1,
        "pixels": (
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (1, 0, 1, 1, 1, 0, 0),
                (1, 1, 0, 0, 0, 1, 0),
                (1, 0, 0, 0, 0, 1, 0),
                (1, 0, 0, 0, 0, 1, 0),
                (1, 0, 0, 0, 0, 1, 0),
                (1, 0, 0, 0, 0, 1, 0),
                (1, 0, 0, 0, 0, 1, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["o"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 1, 1, 1, 0, 0),
                (0, 1, 0, 0, 0, 1, 0),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (0, 1, 0, 0, 0, 1, 0),
                (0, 0, 1, 1, 1, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["p"] = {
        "descender": -4,
        "kerning": 0,
        "pixels": (
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (1, 1, 1, 1, 1, 0, 0),
                (1, 0, 0, 0, 0, 1, 0),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 1, 0),
                (1, 1, 1, 1, 1, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["q"] = {
        "descender": -4,
        "kerning": 0,
        "pixels": (
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 1, 1, 1, 1, 1),
                (0, 1, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (0, 1, 0, 0, 0, 0, 1),
                (0, 0, 1, 1, 1, 1, 1),
                (0, 0, 0, 0, 0, 0, 1),
                (0, 0, 0, 0, 0, 0, 1),
                (0, 0, 0, 0, 0, 0, 1),
                (0, 0, 0, 0, 0, 0, 1)
        )
}
font7x10Light["r"] = {
        "descender": 0,
        "kerning": -2,
        "pixels": (
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (1, 0, 1, 1, 1, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["s"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 1, 1, 1, 1, 1, 0),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 0),
                (0, 1, 1, 1, 1, 1, 0),
                (0, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (0, 1, 1, 1, 1, 1, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["t"] = {
        "descender": 0,
        "kerning": -3,
        "pixels": (
                (0, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 1, 1, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (0, 1, 1, 1, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["u"] = {
        "descender": 0,
        "kerning": -1,
        "pixels": (
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 1, 0),
                (1, 0, 0, 0, 0, 1, 0),
                (1, 0, 0, 0, 0, 1, 0),
                (1, 0, 0, 0, 0, 1, 0),
                (1, 0, 0, 0, 0, 1, 0),
                (1, 0, 0, 0, 1, 1, 0),
                (0, 1, 1, 1, 0, 1, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["v"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (0, 1, 0, 0, 0, 1, 0),
                (0, 1, 0, 0, 0, 1, 0),
                (0, 0, 1, 0, 1, 0, 0),
                (0, 0, 1, 0, 1, 0, 0),
                (0, 0, 0, 1, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["w"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 1, 0, 0, 1),
                (1, 0, 0, 1, 0, 0, 1),
                (1, 0, 0, 1, 0, 0, 1),
                (1, 0, 0, 1, 0, 0, 1),
                (1, 0, 0, 1, 0, 0, 1),
                (0, 1, 1, 1, 1, 1, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["x"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 1),
                (0, 1, 0, 0, 0, 1, 0),
                (0, 0, 1, 0, 1, 0, 0),
                (0, 0, 0, 1, 0, 0, 0),
                (0, 0, 1, 0, 1, 0, 0),
                (0, 1, 0, 0, 0, 1, 0),
                (1, 0, 0, 0, 0, 0, 1),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["y"] = {
        "descender": -4,
        "kerning": 0,
        "pixels": (
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (0, 1, 0, 0, 0, 1, 0),
                (0, 1, 0, 0, 0, 1, 0),
                (0, 0, 1, 0, 1, 0, 0),
                (0, 0, 1, 0, 1, 0, 0),
                (0, 0, 0, 1, 0, 0, 0),
                (0, 0, 0, 1, 0, 0, 0),
                (0, 0, 1, 0, 0, 0, 0),
                (0, 0, 1, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0)
        )
}
font7x10Light["z"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (1, 1, 1, 1, 1, 1, 1),
                (0, 0, 0, 0, 0, 1, 0),
                (0, 0, 0, 0, 1, 0, 0),
                (0, 0, 0, 1, 0, 0, 0),
                (0, 0, 1, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (1, 1, 1, 1, 1, 1, 1),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light[" "] = {
        "descender": 0,
        "kerning": -3,
        "pixels": (
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}

# Upper Case

font7x10Light["A"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (0, 0, 0, 1, 0, 0, 0),
                (0, 0, 0, 1, 0, 0, 0),
                (0, 0, 1, 0, 1, 0, 0),
                (0, 0, 1, 0, 1, 0, 0),
                (0, 0, 1, 0, 1, 0, 0),
                (0, 1, 0, 0, 0, 1, 0),
                (0, 1, 1, 1, 1, 1, 0),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["B"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (1, 1, 1, 1, 1, 1, 0),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 1, 1, 1, 1, 1, 0),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 1, 1, 1, 1, 1, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["C"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (0, 1, 1, 1, 1, 1, 0),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (0, 1, 1, 1, 1, 1, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["D"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (1, 1, 1, 1, 1, 1, 0),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 1, 1, 1, 1, 1, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["E"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (1, 1, 1, 1, 1, 1, 1),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 1, 1, 1, 1, 1, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 1, 1, 1, 1, 1, 1),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["F"] = {
        "descender": 0,
        "kerning": -1,
        "pixels": (
                (1, 1, 1, 1, 1, 1, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 1, 1, 1, 1, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["G"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (0, 1, 1, 1, 1, 1, 0),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 1, 1, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (0, 1, 1, 1, 1, 1, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["H"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 1, 1, 1, 1, 1, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["I"] = {
        "descender": 0,
        "kerning": -6,
        "pixels": (
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["J"] = {
        "descender": 0,
        "kerning": -1,
        "pixels": (
                (0, 0, 0, 0, 0, 1, 0),
                (0, 0, 0, 0, 0, 1, 0),
                (0, 0, 0, 0, 0, 1, 0),
                (0, 0, 0, 0, 0, 1, 0),
                (0, 0, 0, 0, 0, 1, 0),
                (0, 0, 0, 0, 0, 1, 0),
                (1, 0, 0, 0, 0, 1, 0),
                (1, 0, 0, 0, 0, 1, 0),
                (1, 0, 0, 0, 0, 1, 0),
                (0, 1, 1, 1, 1, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["K"] = {
        "descender": 0,
        "kerning": -1,
        "pixels": (
                (1, 0, 0, 0, 0, 1, 0),
                (1, 0, 0, 0, 1, 0, 0),
                (1, 0, 0, 1, 0, 0, 0),
                (1, 0, 1, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 0, 1, 0, 0, 0, 0),
                (1, 0, 0, 1, 0, 0, 0),
                (1, 0, 0, 0, 1, 0, 0),
                (1, 0, 0, 0, 0, 1, 0),
                (1, 0, 0, 0, 0, 1, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["L"] = {
        "descender": 0,
        "kerning": -1,
        "pixels": (
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 1, 1, 1, 1, 1, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["M"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (1, 0, 0, 0, 0, 0, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 0, 1, 0, 1, 0, 1),
                (1, 0, 1, 0, 1, 0, 1),
                (1, 0, 0, 1, 0, 0, 1),
                (1, 0, 0, 1, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["N"] = {
        "descender": 0,
        "kerning": -1,
        "pixels": (
                (1, 0, 0, 0, 0, 1, 0),
                (1, 1, 0, 0, 0, 1, 0),
                (1, 1, 0, 0, 0, 1, 0),
                (1, 0, 1, 0, 0, 1, 0),
                (1, 0, 1, 0, 0, 1, 0),
                (1, 0, 0, 1, 0, 1, 0),
                (1, 0, 0, 1, 0, 1, 0),
                (1, 0, 0, 0, 1, 1, 0),
                (1, 0, 0, 0, 1, 1, 0),
                (1, 0, 0, 0, 0, 1, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["O"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (0, 1, 1, 1, 1, 1, 0),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (0, 1, 1, 1, 1, 1, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["P"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (1, 1, 1, 1, 1, 1, 0),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 1, 1, 1, 1, 1, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["Q"] = {
        "descender": -2,
        "kerning": 0,
        "pixels": (
                (0, 1, 1, 1, 1, 1, 0),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 1, 0, 0, 0, 1),
                (0, 1, 1, 1, 1, 1, 0),
                (0, 0, 0, 0, 1, 0, 0),
                (0, 0, 0, 0, 0, 1, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["R"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (1, 1, 1, 1, 1, 1, 0),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 1, 1, 1, 1, 1, 0),
                (1, 0, 0, 0, 0, 1, 0),
                (1, 0, 0, 0, 0, 1, 0),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["S"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (0, 1, 1, 1, 1, 1, 0),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (0, 1, 1, 1, 1, 1, 0),
                (0, 0, 0, 0, 0, 0, 1),
                (0, 0, 0, 0, 0, 0, 1),
                (0, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (0, 1, 1, 1, 1, 1, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["T"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (1, 1, 1, 1, 1, 1, 1),
                (0, 0, 0, 1, 0, 0, 0),
                (0, 0, 0, 1, 0, 0, 0),
                (0, 0, 0, 1, 0, 0, 0),
                (0, 0, 0, 1, 0, 0, 0),
                (0, 0, 0, 1, 0, 0, 0),
                (0, 0, 0, 1, 0, 0, 0),
                (0, 0, 0, 1, 0, 0, 0),
                (0, 0, 0, 1, 0, 0, 0),
                (0, 0, 0, 1, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["U"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (0, 1, 1, 1, 1, 1, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["V"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (0, 1, 0, 0, 0, 1, 0),
                (0, 1, 0, 0, 0, 1, 0),
                (0, 0, 1, 0, 1, 0, 0),
                (0, 0, 1, 0, 1, 0, 0),
                (0, 0, 0, 1, 0, 0, 0),
                (0, 0, 0, 1, 0, 0, 0),
                (0, 0, 0, 1, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["W"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 1, 0, 0, 1),
                (1, 0, 0, 1, 0, 0, 1),
                (1, 0, 0, 1, 0, 0, 1),
                (1, 0, 0, 1, 0, 0, 1),
                (1, 0, 0, 1, 0, 0, 1),
                (1, 0, 0, 1, 0, 0, 1),
                (1, 0, 0, 1, 0, 0, 1),
                (0, 1, 1, 1, 1, 1, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["X"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (0, 1, 0, 0, 0, 1, 0),
                (0, 0, 1, 0, 1, 0, 0),
                (0, 0, 0, 1, 0, 0, 0),
                (0, 0, 1, 0, 1, 0, 0),
                (0, 1, 0, 0, 0, 1, 0),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["Y"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (0, 1, 0, 0, 0, 1, 0),
                (0, 0, 1, 0, 1, 0, 0),
                (0, 0, 0, 1, 0, 0, 0),
                (0, 0, 0, 1, 0, 0, 0),
                (0, 0, 0, 1, 0, 0, 0),
                (0, 0, 0, 1, 0, 0, 0),
                (0, 0, 0, 1, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["Z"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (1, 1, 1, 1, 1, 1, 1),
                (0, 0, 0, 0, 0, 0, 1),
                (0, 0, 0, 0, 0, 1, 0),
                (0, 0, 0, 0, 1, 0, 0),
                (0, 0, 0, 1, 0, 0, 0),
                (0, 0, 1, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 1, 1, 1, 1, 1, 1),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}

# Numbers

font7x10Light["0"] = {
        "descender": 0,
        "kerning": -1,
        "pixels": (
                (0, 1, 1, 1, 1, 0, 0),
                (1, 0, 0, 0, 0, 1, 0),
                (1, 0, 0, 0, 0, 1, 0),
                (1, 0, 0, 0, 0, 1, 0),
                (1, 0, 0, 0, 0, 1, 0),
                (1, 0, 0, 0, 0, 1, 0),
                (1, 0, 0, 0, 0, 1, 0),
                (1, 0, 0, 0, 0, 1, 0),
                (1, 0, 0, 0, 0, 1, 0),
                (0, 1, 1, 1, 1, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["1"] = {
        "descender": 0,
        "kerning": -4,
        "pixels": (
                (0, 0, 1, 0, 0, 0, 0),
                (0, 1, 1, 0, 0, 0, 0),
                (1, 0, 1, 0, 0, 0, 0),
                (0, 0, 1, 0, 0, 0, 0),
                (0, 0, 1, 0, 0, 0, 0),
                (0, 0, 1, 0, 0, 0, 0),
                (0, 0, 1, 0, 0, 0, 0),
                (0, 0, 1, 0, 0, 0, 0),
                (0, 0, 1, 0, 0, 0, 0),
                (0, 0, 1, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["2"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (0, 1, 1, 1, 1, 1, 0),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (0, 0, 0, 0, 0, 0, 1),
                (0, 0, 0, 0, 0, 1, 0),
                (0, 0, 1, 1, 1, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 1, 1, 1, 1, 1, 1),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["3"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (1, 1, 1, 1, 1, 1, 1),
                (0, 0, 0, 0, 0, 0, 1),
                (0, 0, 0, 0, 0, 1, 0),
                (0, 0, 0, 0, 1, 0, 0),
                (0, 0, 0, 1, 1, 1, 0),
                (0, 0, 0, 0, 0, 0, 1),
                (0, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (0, 1, 1, 1, 1, 1, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["4"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (0, 0, 0, 0, 0, 1, 0),
                (0, 0, 0, 0, 1, 1, 0),
                (0, 0, 0, 1, 0, 1, 0),
                (0, 0, 1, 0, 0, 1, 0),
                (0, 1, 0, 0, 0, 1, 0),
                (1, 1, 1, 1, 1, 1, 1),
                (0, 0, 0, 0, 0, 1, 0),
                (0, 0, 0, 0, 0, 1, 0),
                (0, 0, 0, 0, 0, 1, 0),
                (0, 0, 0, 0, 0, 1, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["5"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (1, 1, 1, 1, 1, 1, 1),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 1, 1, 1, 1, 1, 0),
                (1, 0, 0, 0, 0, 0, 1),
                (0, 0, 0, 0, 0, 0, 1),
                (0, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (0, 1, 1, 1, 1, 1, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["6"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (0, 0, 0, 1, 1, 1, 0),
                (0, 0, 1, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 1, 1, 1, 1, 1, 0),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (0, 1, 1, 1, 1, 1, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["7"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (1, 1, 1, 1, 1, 1, 1),
                (0, 0, 0, 0, 0, 0, 1),
                (0, 0, 0, 0, 0, 0, 1),
                (0, 0, 0, 0, 0, 1, 0),
                (0, 0, 0, 0, 0, 1, 0),
                (0, 0, 0, 0, 1, 0, 0),
                (0, 0, 0, 0, 1, 0, 0),
                (0, 0, 0, 1, 0, 0, 0),
                (0, 0, 0, 1, 0, 0, 0),
                (0, 0, 0, 1, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["8"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (0, 1, 1, 1, 1, 1, 0),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (0, 1, 1, 1, 1, 1, 0),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (0, 1, 1, 1, 1, 1, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["9"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (0, 1, 1, 1, 1, 1, 0),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (0, 1, 1, 1, 1, 1, 1),
                (0, 0, 0, 0, 0, 0, 1),
                (0, 0, 0, 0, 0, 1, 0),
                (0, 0, 0, 0, 1, 0, 0),
                (0, 1, 1, 1, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["."] = {
        "descender": 0,
        "kerning": -6,
        "pixels": (
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["<"] = {
        "descender": 0,
        "kerning": -3,
        "pixels": (
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 1, 0, 0, 0),
                (0, 0, 1, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (0, 0, 1, 0, 0, 0, 0),
                (0, 0, 0, 1, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light[">"] = {
        "descender": 0,
        "kerning": -2,
        "pixels": (
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (0, 0, 1, 0, 0, 0, 0),
                (0, 0, 0, 1, 0, 0, 0),
                (0, 0, 1, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["!"] = {
        "descender": 0,
        "kerning": -6,
        "pixels": (
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["@"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (0, 1, 1, 1, 1, 1, 0),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 1, 1, 0, 1),
                (1, 0, 1, 0, 1, 0, 1),
                (1, 0, 1, 0, 1, 0, 1),
                (1, 0, 0, 1, 1, 0, 1),
                (1, 0, 0, 0, 1, 0, 1),
                (1, 0, 0, 0, 0, 1, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (0, 1, 1, 1, 1, 1, 1),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["#"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (0, 1, 0, 0, 0, 1, 0),
                (1, 1, 1, 1, 1, 1, 1),
                (0, 1, 0, 0, 0, 1, 0),
                (0, 1, 0, 0, 0, 1, 0),
                (0, 1, 0, 0, 0, 1, 0),
                (1, 1, 1, 1, 1, 1, 1),
                (0, 1, 0, 0, 0, 1, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["$"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (0, 0, 0, 1, 0, 0, 0),
                (0, 1, 1, 1, 1, 1, 0),
                (1, 0, 0, 1, 0, 0, 1),
                (1, 0, 0, 1, 0, 0, 0),
                (0, 1, 1, 1, 1, 1, 0),
                (0, 0, 0, 1, 0, 0, 1),
                (0, 0, 0, 1, 0, 0, 1),
                (1, 0, 0, 1, 0, 0, 1),
                (0, 1, 1, 1, 1, 1, 0),
                (0, 0, 0, 1, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["%"] = {
        "descender": -4,
        "kerning": 0,
        "pixels": (
                (0, 1, 1, 0, 0, 0, 1),
                (1, 0, 0, 1, 0, 0, 1),
                (1, 0, 0, 1, 0, 1, 0),
                (0, 1, 1, 0, 0, 1, 0),
                (0, 0, 0, 0, 1, 0, 0),
                (0, 0, 0, 0, 1, 0, 0),
                (0, 0, 0, 1, 0, 0, 0),
                (0, 0, 0, 1, 0, 0, 0),
                (0, 0, 1, 0, 0, 0, 0),
                (0, 0, 1, 0, 0, 0, 0),
                (0, 1, 0, 0, 1, 1, 0),
                (0, 1, 0, 1, 0, 0, 1),
                (1, 0, 0, 1, 0, 0, 1),
                (1, 0, 0, 0, 1, 1, 0)
        )
}
font7x10Light["^"] = {
        "descender": 0,
        "kerning": -2,
        "pixels": (
                (0, 0, 1, 0, 0, 0, 0),
                (0, 1, 0, 1, 0, 0, 0),
                (1, 0, 0, 0, 1, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["{"] = {
        "descender": -3,
        "kerning": -4,
        "pixels": (
                (0, 0, 1, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (0, 0, 1, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["}"] = {
        "descender": -3,
        "kerning": -4,
        "pixels": (
                (1, 0, 0, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (0, 0, 1, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["&"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (0, 1, 1, 1, 0, 0, 0),
                (1, 0, 0, 0, 1, 0, 0),
                (1, 0, 0, 0, 1, 0, 0),
                (1, 0, 0, 1, 0, 0, 0),
                (0, 1, 1, 0, 0, 0, 0),
                (0, 1, 1, 0, 0, 0, 0),
                (1, 0, 0, 1, 0, 0, 1),
                (1, 0, 0, 0, 1, 0, 1),
                (1, 0, 0, 0, 0, 1, 0),
                (0, 1, 1, 1, 1, 0, 1),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["*"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (0, 0, 0, 1, 0, 0, 0),
                (0, 0, 0, 1, 0, 0, 0),
                (1, 0, 0, 1, 0, 0, 1),
                (0, 1, 1, 1, 1, 1, 0),
                (0, 0, 1, 1, 1, 0, 0),
                (0, 0, 1, 0, 1, 0, 0),
                (0, 1, 0, 0, 0, 1, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["("] = {
        "descender": -3,
        "kerning": -4,
        "pixels": (
                (0, 0, 1, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (0, 0, 1, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light[")"] = {
        "descender": -3,
        "kerning": -4,
        "pixels": (
                (1, 0, 0, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (0, 0, 1, 0, 0, 0, 0),
                (0, 0, 1, 0, 0, 0, 0),
                (0, 0, 1, 0, 0, 0, 0),
                (0, 0, 1, 0, 0, 0, 0),
                (0, 0, 1, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["="] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (1, 1, 1, 1, 1, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (1, 1, 1, 1, 1, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["["] = {
        "descender": -3,
        "kerning": -4,
        "pixels": (
                (1, 1, 1, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 1, 1, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["]"] = {
        "descender": -3,
        "kerning": -4,
        "pixels": (
                (1, 1, 1, 0, 0, 0, 0),
                (0, 0, 1, 0, 0, 0, 0),
                (0, 0, 1, 0, 0, 0, 0),
                (0, 0, 1, 0, 0, 0, 0),
                (0, 0, 1, 0, 0, 0, 0),
                (0, 0, 1, 0, 0, 0, 0),
                (0, 0, 1, 0, 0, 0, 0),
                (0, 0, 1, 0, 0, 0, 0),
                (0, 0, 1, 0, 0, 0, 0),
                (0, 0, 1, 0, 0, 0, 0),
                (0, 0, 1, 0, 0, 0, 0),
                (0, 0, 1, 0, 0, 0, 0),
                (1, 1, 1, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["|"] = {
        "descender": -3,
        "kerning": -6,
        "pixels": (
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["?"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (0, 1, 1, 1, 1, 1, 0),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (0, 0, 0, 0, 0, 0, 1),
                (0, 0, 0, 0, 0, 1, 0),
                (0, 0, 0, 0, 1, 0, 0),
                (0, 0, 0, 1, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 1, 0, 0, 0),
                (0, 0, 0, 1, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light[","] = {
        "descender": -2,
        "kerning": -5,
        "pixels": (
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light[":"] = {
        "descender": 0,
        "kerning": -6,
        "pixels": (
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light[";"] = {
        "descender": -2,
        "kerning": -5,
        "pixels": (
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["+"] = {
        "descender": 0,
        "kerning": -2,
        "pixels": (
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 1, 0, 0, 0, 0),
                (0, 0, 1, 0, 0, 0, 0),
                (1, 1, 1, 1, 1, 0, 0),
                (0, 0, 1, 0, 0, 0, 0),
                (0, 0, 1, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["-"] = {
        "descender": 0,
        "kerning": -2,
        "pixels": (
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (1, 1, 1, 1, 1, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["/"] = {
        "descender": 0,
        "kerning": -3,
        "pixels": (
                (0, 0, 0, 1, 0, 0, 0),
                (0, 0, 0, 1, 0, 0, 0),
                (0, 0, 1, 0, 0, 0, 0),
                (0, 0, 1, 0, 0, 0, 0),
                (0, 0, 1, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["°"] = {
        "descender": 0,
        "kerning": -2,
        "pixels": (
                (0, 1, 1, 1, 0, 0, 0),
                (1, 0, 0, 0, 1, 0, 0),
                (1, 0, 0, 0, 1, 0, 0),
                (1, 0, 0, 0, 1, 0, 0),
                (0, 1, 1, 1, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10Light["NULL"] = {
        "descender": -4,
        "kerning": 0,
        "pixels": (
                (1, 1, 1, 1, 1, 1, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 1, 1, 1, 1, 1, 1)
        )
}

# 7x10 pixel standard bitmap font

font7x10 = {
    "width": 7,
    "height": 10,
    "linespacing": 7,
    "charspacing": 2
}

# Lower Case

font7x10["a"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 1, 1, 1, 1, 0, 0),
                (0, 0, 0, 0, 1, 1, 0),
                (0, 0, 0, 0, 1, 1, 0),
                (0, 1, 1, 1, 1, 1, 0),
                (1, 1, 0, 0, 1, 1, 0),
                (1, 1, 0, 0, 1, 1, 0),
                (0, 1, 1, 1, 1, 1, 1),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10["b"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 1, 1, 1, 1, 0),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 1, 1, 1, 1, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10["c"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 1, 1, 1, 1, 1, 0),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 1, 1),
                (0, 1, 1, 1, 1, 1, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10["d"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (0, 0, 0, 0, 0, 1, 1),
                (0, 0, 0, 0, 0, 1, 1),
                (0, 0, 0, 0, 0, 1, 1),
                (0, 1, 1, 1, 1, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (0, 1, 1, 1, 1, 1, 1),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10["e"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 1, 1, 1, 1, 1, 0),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 1, 1, 1, 1, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (0, 1, 1, 1, 1, 1, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10["f"] = {
        "descender": 0,
        "kerning": -2,
        "pixels": (
                (0, 0, 1, 1, 1, 0, 0),
                (0, 1, 1, 0, 0, 0, 0),
                (0, 1, 1, 0, 0, 0, 0),
                (1, 1, 1, 1, 1, 0, 0),
                (0, 1, 1, 0, 0, 0, 0),
                (0, 1, 1, 0, 0, 0, 0),
                (0, 1, 1, 0, 0, 0, 0),
                (0, 1, 1, 0, 0, 0, 0),
                (0, 1, 1, 0, 0, 0, 0),
                (0, 1, 1, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10["g"] = {
        "descender": -4,
        "kerning": 0,
        "pixels": (
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 1, 1, 1, 1, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (0, 1, 1, 1, 1, 1, 1),
                (0, 0, 0, 0, 0, 1, 1),
                (0, 0, 0, 0, 0, 1, 1),
                (0, 0, 0, 0, 0, 1, 1),
                (0, 1, 1, 1, 1, 1, 0)
        )
}
font7x10["h"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 1, 1, 1, 0),
                (1, 1, 1, 1, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10["i"] = {
        "descender": 0,
        "kerning": -5,
        "pixels": (
                (0, 0, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10["j"] = {
        "descender": -4,
        "kerning": -4,
        "pixels": (
                (0, 0, 0, 0, 0, 0, 0),
                (0, 1, 1, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 1, 1, 0, 0, 0, 0),
                (0, 1, 1, 0, 0, 0, 0),
                (0, 1, 1, 0, 0, 0, 0),
                (0, 1, 1, 0, 0, 0, 0),
                (0, 1, 1, 0, 0, 0, 0),
                (0, 1, 1, 0, 0, 0, 0),
                (0, 1, 1, 0, 0, 0, 0),
                (0, 1, 1, 0, 0, 0, 0),
                (0, 1, 1, 0, 0, 0, 0),
                (0, 1, 1, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0)
        )
}
font7x10["k"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 1, 1, 0),
                (1, 1, 0, 1, 1, 0, 0),
                (1, 1, 1, 1, 0, 0, 0),
                (1, 1, 0, 1, 1, 0, 0),
                (1, 1, 0, 0, 1, 1, 0),
                (1, 1, 0, 0, 0, 1, 1),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10["l"] = {
        "descender": 0,
        "kerning": -4,
        "pixels": (
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (0, 1, 1, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10["m"] = {
        "descender": 0,
        "kerning": 1,
        "pixels": (
                (0, 0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0, 0),
                (1, 1, 1, 0, 1, 1, 1, 0),
                (1, 1, 0, 1, 1, 0, 1, 1),
                (1, 1, 0, 1, 1, 0, 1, 1),
                (1, 1, 0, 1, 1, 0, 1, 1),
                (1, 1, 0, 1, 1, 0, 1, 1),
                (1, 1, 0, 1, 1, 0, 1, 1),
                (1, 1, 0, 1, 1, 0, 1, 1),
                (0, 0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10["n"] = {
        "descender": 0,
        "kerning": -1,
        "pixels": (
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (1, 1, 1, 1, 1, 0, 0),
                (1, 1, 0, 0, 1, 1, 0),
                (1, 1, 0, 0, 1, 1, 0),
                (1, 1, 0, 0, 1, 1, 0),
                (1, 1, 0, 0, 1, 1, 0),
                (1, 1, 0, 0, 1, 1, 0),
                (1, 1, 0, 0, 1, 1, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10["o"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 1, 1, 1, 1, 1, 0),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (0, 1, 1, 1, 1, 1, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10["p"] = {
        "descender": -4,
        "kerning": 0,
        "pixels": (
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (1, 1, 1, 1, 1, 1, 0),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 1, 1, 1, 1, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0)
        )
}
font7x10["q"] = {
        "descender": -4,
        "kerning": 0,
        "pixels": (
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 1, 1, 1, 1, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (0, 1, 1, 1, 1, 1, 1),
                (0, 0, 0, 0, 0, 1, 1),
                (0, 0, 0, 0, 0, 1, 1),
                (0, 0, 0, 0, 0, 1, 1),
                (0, 0, 0, 0, 0, 1, 1)
        )
}
font7x10["r"] = {
        "descender": 0,
        "kerning": -2,
        "pixels": (
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (1, 1, 1, 1, 1, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10["s"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 1, 1, 1, 1, 1, 0),
                (1, 1, 0, 0, 0, 0, 1),
                (1, 1, 0, 0, 0, 0, 0),
                (0, 1, 1, 1, 1, 1, 0),
                (0, 0, 0, 0, 0, 1, 1),
                (1, 0, 0, 0, 0, 1, 1),
                (0, 1, 1, 1, 1, 1, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10["t"] = {
        "descender": 0,
        "kerning": -3,
        "pixels": (
                (0, 0, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 1, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (0, 1, 1, 1, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10["u"] = {
        "descender": 0,
        "kerning": -1,
        "pixels": (
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 1, 1, 0),
                (1, 1, 0, 0, 1, 1, 0),
                (1, 1, 0, 0, 1, 1, 0),
                (1, 1, 0, 0, 1, 1, 0),
                (1, 1, 0, 0, 1, 1, 0),
                (1, 1, 0, 0, 1, 1, 0),
                (0, 1, 1, 1, 1, 1, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10["v"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (0, 1, 1, 0, 1, 1, 0),
                (0, 1, 1, 0, 1, 1, 0),
                (0, 0, 1, 1, 1, 0, 0),
                (0, 0, 1, 1, 1, 0, 0),
                (0, 0, 0, 1, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10["w"] = {
        "descender": 0,
        "kerning": 1,
        "pixels": (
                (0, 0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 1, 1),
                (1, 1, 0, 1, 1, 0, 1, 1),
                (1, 1, 0, 1, 1, 0, 1, 1),
                (1, 1, 0, 1, 1, 0, 1, 1),
                (1, 1, 0, 1, 1, 0, 1, 1),
                (1, 1, 0, 1, 1, 0, 1, 1),
                (0, 1, 1, 1, 1, 1, 1, 0),
                (0, 0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10["x"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 1, 1),
                (0, 1, 1, 0, 1, 1, 0),
                (0, 0, 1, 1, 1, 0, 0),
                (0, 0, 0, 1, 0, 0, 0),
                (0, 0, 1, 1, 1, 0, 0),
                (0, 1, 1, 0, 1, 1, 0),
                (1, 1, 0, 0, 0, 1, 1),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10["y"] = {
        "descender": -4,
        "kerning": 0,
        "pixels": (
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (0, 1, 1, 0, 1, 1, 0),
                (0, 1, 1, 0, 1, 1, 0),
                (0, 0, 1, 1, 1, 0, 0),
                (0, 0, 1, 1, 1, 0, 0),
                (0, 0, 1, 1, 0, 0, 0),
                (0, 0, 1, 1, 0, 0, 0),
                (0, 1, 1, 0, 0, 0, 0),
                (0, 1, 1, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0)
        )
}
font7x10["z"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (1, 1, 1, 1, 1, 1, 1),
                (0, 0, 0, 0, 1, 1, 0),
                (0, 0, 0, 1, 1, 0, 0),
                (0, 0, 1, 1, 0, 0, 0),
                (0, 1, 1, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 1, 1, 1, 1, 1),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10[" "] = {
        "descender": 0,
        "kerning": -3,
        "pixels": (
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}

# Upper Case

font7x10["A"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (0, 0, 0, 1, 0, 0, 0),
                (0, 0, 0, 1, 0, 0, 0),
                (0, 0, 1, 1, 1, 0, 0),
                (0, 0, 1, 1, 1, 0, 0),
                (0, 0, 1, 1, 1, 0, 0),
                (0, 1, 1, 0, 1, 1, 0),
                (0, 1, 1, 1, 1, 1, 0),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10["B"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (1, 1, 1, 1, 1, 1, 0),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 1, 1, 1, 1, 0),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 1, 1, 1, 1, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10["C"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (0, 1, 1, 1, 1, 1, 0),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (0, 1, 1, 1, 1, 1, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10["D"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (1, 1, 1, 1, 1, 1, 0),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 1, 1, 1, 1, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10["E"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (1, 1, 1, 1, 1, 1, 1),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 1, 1, 1, 1, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 1, 1, 1, 1, 1),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10["F"] = {
        "descender": 0,
        "kerning": -1,
        "pixels": (
                (1, 1, 1, 1, 1, 1, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 1, 1, 1, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10["G"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (0, 1, 1, 1, 1, 1, 0),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 1, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (0, 1, 1, 1, 1, 1, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10["H"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 1, 1, 1, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10["I"] = {
        "descender": 0,
        "kerning": -5,
        "pixels": (
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10["J"] = {
        "descender": 0,
        "kerning": -1,
        "pixels": (
                (0, 0, 0, 0, 1, 1, 0),
                (0, 0, 0, 0, 1, 1, 0),
                (0, 0, 0, 0, 1, 1, 0),
                (0, 0, 0, 0, 1, 1, 0),
                (0, 0, 0, 0, 1, 1, 0),
                (0, 0, 0, 0, 1, 1, 0),
                (1, 1, 0, 0, 1, 1, 0),
                (1, 1, 0, 0, 1, 1, 0),
                (1, 1, 0, 0, 1, 1, 0),
                (0, 1, 1, 1, 1, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10["K"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 1, 1, 0),
                (1, 1, 0, 1, 1, 0, 0),
                (1, 1, 1, 1, 0, 0, 0),
                (1, 1, 1, 0, 0, 0, 0),
                (1, 1, 1, 1, 0, 0, 0),
                (1, 1, 0, 1, 1, 0, 0),
                (1, 1, 0, 0, 1, 1, 0),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10["L"] = {
        "descender": 0,
        "kerning": -1,
        "pixels": (
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 1, 1, 1, 1, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10["M"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 1, 1, 1, 1, 1),
                (1, 1, 1, 1, 1, 1, 1),
                (1, 1, 0, 1, 0, 1, 1),
                (1, 1, 0, 1, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10["N"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 1, 1, 0, 1, 1),
                (1, 1, 1, 1, 0, 1, 1),
                (1, 1, 0, 1, 1, 1, 1),
                (1, 1, 0, 1, 1, 1, 1),
                (1, 1, 0, 0, 1, 1, 1),
                (1, 1, 0, 0, 1, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10["O"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (0, 1, 1, 1, 1, 1, 0),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (0, 1, 1, 1, 1, 1, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10["P"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (1, 1, 1, 1, 1, 1, 0),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 1, 1, 1, 1, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10["Q"] = {
        "descender": -2,
        "kerning": 0,
        "pixels": (
                (0, 1, 1, 1, 1, 1, 0),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 1, 1, 0, 1, 1),
                (0, 1, 1, 1, 1, 1, 0),
                (0, 0, 0, 0, 1, 1, 0),
                (0, 0, 0, 0, 0, 1, 1),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10["R"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (1, 1, 1, 1, 1, 1, 0),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 1, 1, 1, 1, 0),
                (1, 1, 0, 0, 1, 1, 0),
                (1, 1, 0, 0, 1, 1, 0),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10["S"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (0, 1, 1, 1, 1, 1, 0),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (0, 1, 1, 1, 1, 1, 0),
                (0, 0, 0, 0, 0, 1, 1),
                (0, 0, 0, 0, 0, 1, 1),
                (0, 0, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (0, 1, 1, 1, 1, 1, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10["T"] = {
        "descender": 0,
        "kerning": 1,
        "pixels": (
                (1, 1, 1, 1, 1, 1, 1, 1),
                (0, 0, 0, 1, 1, 0, 0, 0),
                (0, 0, 0, 1, 1, 0, 0, 0),
                (0, 0, 0, 1, 1, 0, 0, 0),
                (0, 0, 0, 1, 1, 0, 0, 0),
                (0, 0, 0, 1, 1, 0, 0, 0),
                (0, 0, 0, 1, 1, 0, 0, 0),
                (0, 0, 0, 1, 1, 0, 0, 0),
                (0, 0, 0, 1, 1, 0, 0, 0),
                (0, 0, 0, 1, 1, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10["U"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (0, 1, 1, 1, 1, 1, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10["V"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (0, 1, 1, 0, 1, 1, 0),
                (0, 1, 1, 0, 1, 1, 0),
                (0, 0, 1, 1, 1, 0, 0),
                (0, 0, 1, 1, 1, 0, 0),
                (0, 0, 0, 1, 0, 0, 0),
                (0, 0, 0, 1, 0, 0, 0),
                (0, 0, 0, 1, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10["W"] = {
        "descender": 0,
        "kerning": 1,
        "pixels": (
                (1, 1, 0, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 0, 1, 1),
                (1, 1, 0, 1, 1, 0, 1, 1),
                (1, 1, 0, 1, 1, 0, 1, 1),
                (1, 1, 0, 1, 1, 0, 1, 1),
                (1, 1, 0, 1, 1, 0, 1, 1),
                (1, 1, 0, 1, 1, 0, 1, 1),
                (1, 1, 0, 1, 1, 0, 1, 1),
                (1, 1, 0, 1, 1, 0, 1, 1),
                (0, 1, 1, 1, 1, 1, 1, 0),
                (0, 0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10["X"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (0, 1, 1, 0, 1, 1, 0),
                (0, 0, 1, 1, 1, 0, 0),
                (0, 0, 0, 1, 0, 0, 0),
                (0, 0, 1, 1, 1, 0, 0),
                (0, 1, 1, 0, 1, 1, 0),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10["Y"] = {
        "descender": 0,
        "kerning": 1,
        "pixels": (
                (1, 1, 0, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 0, 1, 1),
                (0, 1, 1, 0, 0, 1, 1, 0),
                (0, 0, 1, 1, 1, 1, 0, 0),
                (0, 0, 0, 1, 1, 0, 0, 0),
                (0, 0, 0, 1, 1, 0, 0, 0),
                (0, 0, 0, 1, 1, 0, 0, 0),
                (0, 0, 0, 1, 1, 0, 0, 0),
                (0, 0, 0, 1, 1, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10["Z"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (1, 1, 1, 1, 1, 1, 1),
                (0, 0, 0, 0, 0, 1, 1),
                (0, 0, 0, 0, 1, 1, 0),
                (0, 0, 0, 1, 1, 0, 0),
                (0, 0, 1, 1, 0, 0, 0),
                (0, 1, 1, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 1, 1, 1, 1, 1),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}

# Numbers

font7x10["0"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (0, 0, 1, 1, 1, 0, 0),
                (0, 1, 1, 0, 1, 1, 0),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (0, 1, 1, 0, 1, 1, 0),
                (0, 0, 1, 1, 1, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10["1"] = {
        "descender": 0,
        "kerning": -3,
        "pixels": (
                (0, 0, 1, 1, 0, 0, 0),
                (0, 1, 1, 1, 0, 0, 0),
                (1, 1, 1, 1, 0, 0, 0),
                (0, 0, 1, 1, 0, 0, 0),
                (0, 0, 1, 1, 0, 0, 0),
                (0, 0, 1, 1, 0, 0, 0),
                (0, 0, 1, 1, 0, 0, 0),
                (0, 0, 1, 1, 0, 0, 0),
                (0, 0, 1, 1, 0, 0, 0),
                (0, 0, 1, 1, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10["2"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (0, 1, 1, 1, 1, 1, 0),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (0, 0, 0, 0, 0, 1, 1),
                (0, 0, 0, 0, 0, 1, 1),
                (0, 0, 1, 1, 1, 1, 0),
                (0, 1, 1, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 1, 1, 1, 1, 1),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10["3"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (1, 1, 1, 1, 1, 1, 1),
                (0, 0, 0, 0, 0, 1, 1),
                (0, 0, 0, 0, 1, 1, 0),
                (0, 0, 0, 1, 1, 0, 0),
                (0, 0, 1, 1, 1, 1, 0),
                (0, 0, 0, 0, 0, 1, 1),
                (0, 0, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (0, 1, 1, 1, 1, 1, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10["4"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (0, 0, 0, 0, 1, 1, 1),
                (0, 0, 0, 1, 1, 1, 1),
                (0, 0, 1, 1, 0, 1, 1),
                (0, 1, 1, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 1, 1, 1, 1, 1),
                (0, 0, 0, 0, 0, 1, 1),
                (0, 0, 0, 0, 0, 1, 1),
                (0, 0, 0, 0, 0, 1, 1),
                (0, 0, 0, 0, 0, 1, 1),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10["5"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (1, 1, 1, 1, 1, 1, 1),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 1, 1, 1, 1, 0),
                (1, 1, 0, 0, 0, 1, 1),
                (0, 0, 0, 0, 0, 1, 1),
                (0, 0, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (0, 1, 1, 1, 1, 1, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10["6"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (0, 0, 0, 1, 1, 1, 0),
                (0, 0, 1, 1, 0, 0, 0),
                (0, 1, 1, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 1, 1, 1, 1, 0),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (0, 1, 1, 1, 1, 1, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10["7"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (1, 1, 1, 1, 1, 1, 1),
                (0, 0, 0, 0, 0, 1, 1),
                (0, 0, 0, 0, 0, 1, 1),
                (0, 0, 0, 0, 1, 1, 0),
                (0, 0, 0, 0, 1, 1, 0),
                (0, 0, 0, 1, 1, 0, 0),
                (0, 0, 0, 1, 1, 0, 0),
                (0, 0, 1, 1, 0, 0, 0),
                (0, 0, 1, 1, 0, 0, 0),
                (0, 0, 1, 1, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10["8"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (0, 1, 1, 1, 1, 1, 0),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (0, 1, 1, 1, 1, 1, 0),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (0, 1, 1, 1, 1, 1, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10["9"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (0, 1, 1, 1, 1, 1, 0),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (1, 1, 0, 0, 0, 1, 1),
                (0, 1, 1, 1, 1, 1, 1),
                (0, 0, 0, 0, 0, 1, 1),
                (0, 0, 0, 0, 1, 1, 0),
                (0, 0, 0, 1, 1, 0, 0),
                (0, 1, 1, 1, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10["."] = {
        "descender": 0,
        "kerning": -5,
        "pixels": (
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10["<"] = {
        "descender": 0,
        "kerning": -3,
        "pixels": (
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 1, 0, 0, 0),
                (0, 0, 1, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (0, 0, 1, 0, 0, 0, 0),
                (0, 0, 0, 1, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10[">"] = {
        "descender": 0,
        "kerning": -2,
        "pixels": (
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (0, 0, 1, 0, 0, 0, 0),
                (0, 0, 0, 1, 0, 0, 0),
                (0, 0, 1, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10["!"] = {
        "descender": 0,
        "kerning": -5,
        "pixels": (
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10["@"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (0, 1, 1, 1, 1, 1, 0),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 1, 1, 0, 1),
                (1, 0, 1, 0, 1, 0, 1),
                (1, 0, 1, 0, 1, 0, 1),
                (1, 0, 0, 1, 1, 0, 1),
                (1, 0, 0, 0, 1, 0, 1),
                (1, 0, 0, 0, 0, 1, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (0, 1, 1, 1, 1, 1, 1),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10["#"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (0, 1, 1, 0, 1, 1, 0),
                (1, 1, 1, 1, 1, 1, 1),
                (0, 1, 1, 0, 1, 1, 0),
                (0, 1, 1, 0, 1, 1, 0),
                (0, 1, 1, 0, 1, 1, 0),
                (1, 1, 1, 1, 1, 1, 1),
                (0, 1, 1, 0, 1, 1, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10["$"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (0, 0, 0, 1, 0, 0, 0),
                (0, 1, 1, 1, 1, 1, 0),
                (1, 0, 0, 1, 0, 0, 1),
                (1, 0, 0, 1, 0, 0, 0),
                (0, 1, 1, 1, 1, 1, 0),
                (0, 0, 0, 1, 0, 0, 1),
                (0, 0, 0, 1, 0, 0, 1),
                (1, 0, 0, 1, 0, 0, 1),
                (0, 1, 1, 1, 1, 1, 0),
                (0, 0, 0, 1, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10["%"] = {
        "descender": -4,
        "kerning": 0,
        "pixels": (
                (0, 1, 1, 0, 0, 0, 1),
                (1, 0, 0, 1, 0, 0, 1),
                (1, 0, 0, 1, 0, 1, 0),
                (0, 1, 1, 0, 0, 1, 0),
                (0, 0, 0, 0, 1, 0, 0),
                (0, 0, 0, 0, 1, 0, 0),
                (0, 0, 0, 1, 0, 0, 0),
                (0, 0, 0, 1, 0, 0, 0),
                (0, 0, 1, 0, 0, 0, 0),
                (0, 0, 1, 0, 0, 0, 0),
                (0, 1, 0, 0, 1, 1, 0),
                (0, 1, 0, 1, 0, 0, 1),
                (1, 0, 0, 1, 0, 0, 1),
                (1, 0, 0, 0, 1, 1, 0)
        )
}
font7x10["^"] = {
        "descender": 0,
        "kerning": -2,
        "pixels": (
                (0, 0, 1, 0, 0, 0, 0),
                (0, 1, 0, 1, 0, 0, 0),
                (1, 0, 0, 0, 1, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10["{"] = {
        "descender": -3,
        "kerning": -4,
        "pixels": (
                (0, 0, 1, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (0, 0, 1, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10["}"] = {
        "descender": -3,
        "kerning": -4,
        "pixels": (
                (1, 0, 0, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (0, 0, 1, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (0, 1, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10["&"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (0, 1, 1, 1, 0, 0, 0),
                (1, 0, 0, 0, 1, 0, 0),
                (1, 0, 0, 0, 1, 0, 0),
                (1, 0, 0, 1, 0, 0, 0),
                (0, 1, 1, 0, 0, 0, 0),
                (0, 1, 1, 0, 0, 0, 0),
                (1, 0, 0, 1, 0, 0, 1),
                (1, 0, 0, 0, 1, 0, 1),
                (1, 0, 0, 0, 0, 1, 0),
                (0, 1, 1, 1, 1, 0, 1),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10["*"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (0, 0, 0, 1, 0, 0, 0),
                (0, 0, 0, 1, 0, 0, 0),
                (1, 0, 0, 1, 0, 0, 1),
                (0, 1, 1, 1, 1, 1, 0),
                (0, 0, 1, 1, 1, 0, 0),
                (0, 0, 1, 0, 1, 0, 0),
                (0, 1, 0, 0, 0, 1, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10["("] = {
        "descender": -3,
        "kerning": -3,
        "pixels": (
                (0, 0, 1, 1, 0, 0, 0),
                (0, 1, 1, 0, 0, 0, 0),
                (0, 1, 1, 0, 0, 0, 0),
                (0, 1, 1, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (0, 1, 1, 0, 0, 0, 0),
                (0, 1, 1, 0, 0, 0, 0),
                (0, 1, 1, 0, 0, 0, 0),
                (0, 0, 1, 1, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10[")"] = {
        "descender": -3,
        "kerning": -3,
        "pixels": (
                (1, 1, 0, 0, 0, 0, 0),
                (0, 1, 1, 0, 0, 0, 0),
                (0, 1, 1, 0, 0, 0, 0),
                (0, 1, 1, 0, 0, 0, 0),
                (0, 0, 1, 1, 0, 0, 0),
                (0, 0, 1, 1, 0, 0, 0),
                (0, 0, 1, 1, 0, 0, 0),
                (0, 0, 1, 1, 0, 0, 0),
                (0, 0, 1, 1, 0, 0, 0),
                (0, 1, 1, 0, 0, 0, 0),
                (0, 1, 1, 0, 0, 0, 0),
                (0, 1, 1, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10["="] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (1, 1, 1, 1, 1, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (1, 1, 1, 1, 1, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10["["] = {
        "descender": -3,
        "kerning": -4,
        "pixels": (
                (1, 1, 1, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 1, 1, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10["]"] = {
        "descender": -3,
        "kerning": -4,
        "pixels": (
                (1, 1, 1, 0, 0, 0, 0),
                (0, 0, 1, 0, 0, 0, 0),
                (0, 0, 1, 0, 0, 0, 0),
                (0, 0, 1, 0, 0, 0, 0),
                (0, 0, 1, 0, 0, 0, 0),
                (0, 0, 1, 0, 0, 0, 0),
                (0, 0, 1, 0, 0, 0, 0),
                (0, 0, 1, 0, 0, 0, 0),
                (0, 0, 1, 0, 0, 0, 0),
                (0, 0, 1, 0, 0, 0, 0),
                (0, 0, 1, 0, 0, 0, 0),
                (0, 0, 1, 0, 0, 0, 0),
                (1, 1, 1, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10["|"] = {
        "descender": -3,
        "kerning": -6,
        "pixels": (
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (1, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10["?"] = {
        "descender": 0,
        "kerning": 0,
        "pixels": (
                (0, 1, 1, 1, 1, 1, 0),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (0, 0, 0, 0, 0, 0, 1),
                (0, 0, 0, 0, 0, 1, 0),
                (0, 0, 0, 0, 1, 0, 0),
                (0, 0, 0, 1, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 1, 0, 0, 0),
                (0, 0, 0, 1, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10[","] = {
        "descender": -2,
        "kerning": -4,
        "pixels": (
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 1, 1, 0, 0, 0, 0),
                (0, 1, 1, 0, 0, 0, 0),
                (0, 1, 1, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10[":"] = {
        "descender": 0,
        "kerning": -5,
        "pixels": (
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10[";"] = {
        "descender": -2,
        "kerning": -4,
        "pixels": (
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 1, 1, 0, 0, 0, 0),
                (0, 1, 1, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 1, 1, 0, 0, 0, 0),
                (0, 1, 1, 0, 0, 0, 0),
                (0, 1, 1, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10["+"] = {
        "descender": 0,
        "kerning": -1,
        "pixels": (
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 1, 1, 0, 0, 0),
                (0, 0, 1, 1, 0, 0, 0),
                (1, 1, 1, 1, 1, 1, 0),
                (0, 0, 1, 1, 0, 0, 0),
                (0, 0, 1, 1, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10["-"] = {
        "descender": 0,
        "kerning": -2,
        "pixels": (
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (1, 1, 1, 1, 1, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10["/"] = {
        "descender": 0,
        "kerning": -2,
        "pixels": (
                (0, 0, 0, 1, 1, 0, 0),
                (0, 0, 0, 1, 1, 0, 0),
                (0, 0, 1, 1, 0, 0, 0),
                (0, 0, 1, 1, 0, 0, 0),
                (0, 0, 1, 1, 0, 0, 0),
                (0, 1, 1, 0, 0, 0, 0),
                (0, 1, 1, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (1, 1, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10["°"] = {
        "descender": 0,
        "kerning": -2,
        "pixels": (
                (0, 1, 1, 1, 0, 0, 0),
                (1, 1, 0, 1, 1, 0, 0),
                (1, 1, 0, 1, 1, 0, 0),
                (1, 1, 0, 1, 1, 0, 0),
                (0, 1, 1, 1, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0),
                (0, 0, 0, 0, 0, 0, 0)
        )
}
font7x10["NULL"] = {
        "descender": -4,
        "kerning": 0,
        "pixels": (
                (1, 1, 1, 1, 1, 1, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 0, 0, 0, 0, 0, 1),
                (1, 1, 1, 1, 1, 1, 1)
        )
}
